org.apache.jmeter.gui.action.template

## Class Template

- java.lang.Object
- - org.apache.jmeter.gui.action.template.Template

-     public class Template
      extends Object

  Template Bean
  Since:
    2.10

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Template()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getDescription()`
    `String` | `getFileName()`
    `String` | `getName()`
    `Map<String,String>` | `getParameters()`
    `File` | `getParent()`
    `int` | `hashCode()`
    `boolean` | `isTestPlan()`
    `void` | `setDescription(String description)`
    `void` | `setFileName(String relativeFileName)`
    `void` | `setName(String name)`
    `void` | `setParameters(Map<String,String> parameters)`
    `void` | `setParent(File parent)`
    `void` | `setTestPlan(boolean isTestPlan)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Template

          public Template()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        the name

    - #### setName

          public void setName(String name)

      Parameters:
        `name` - the name to set

    - #### getFileName

          public String getFileName()

      Returns:
        the relativeFileName

    - #### setFileName

          public void setFileName(String relativeFileName)

      Parameters:
        `relativeFileName` - the relativeFileName to set

    - #### getDescription

          public String getDescription()

      Returns:
        the description

    - #### setDescription

          public void setDescription(String description)

      Parameters:
        `description` - the description to set

    - #### isTestPlan

          public boolean isTestPlan()

    - #### setTestPlan

          public void setTestPlan(boolean isTestPlan)

    - #### getParent

          public File getParent()

    - #### setParent

          public void setParent(File parent)

    - #### getParameters

          public Map<String,String> getParameters()

    - #### setParameters

          public void setParameters(Map<String,String> parameters)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.